ch.qos.logback.classic.gaffer

## Class ConfigurationDelegate

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.classic.gaffer.ConfigurationDelegate

All Implemented Interfaces:
  ContextAware, groovy.lang.GroovyObject

    public class ConfigurationDelegate
    extends ContextAwareBase
    implements groovy.lang.GroovyObject

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appender(String name, Class clazz)`
`void` `appender(String name, Class clazz, groovy.lang.Closure closure)`
`void` `conversionRule(String conversionWord, Class converterClass)`
`List<Appender>` `getAppenderList()`
`Object` `getDeclaredOrigin()` The declared origin of status messages.
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `jmxConfigurator()`
`void` `jmxConfigurator(String name)`
`void` `logger(String name, Level level)`
`void` `logger(String name, Level level, List<String> appenderNames)`
`void` `logger(String name, Level level, List<String> appenderNames, Boolean additivity)`
`void` `receiver(String name, Class aClass)`
`void` `receiver(String name, Class aClass, groovy.lang.Closure closure)`
`void` `root(Level level)`
`void` `root(Level level, List<String> appenderNames)`
`void` `scan()`
`void` `scan(String scanPeriodStr)`
`void` `setAppenderList(List<Appender> value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `statusListener(Class listenerClass)`
`String` `timestamp(String datePattern)`
`String` `timestamp(String datePattern, long timeReference)`
`void` `turboFilter(Class clazz)`
`void` `turboFilter(Class clazz, groovy.lang.Closure closure)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationDelegate

    public ConfigurationDelegate()

### Method Detail

#### scan

    public void scan()

#### root

    public void root(Level level)

#### logger

    public void logger(String name,
                       Level level,
                       List<String> appenderNames)

#### logger

    public void logger(String name,
                       Level level)

#### appender

    public void appender(String name,
                         Class clazz)

#### receiver

    public void receiver(String name,
                         Class aClass)

#### turboFilter

    public void turboFilter(Class clazz)

#### timestamp

    public String timestamp(String datePattern)

#### jmxConfigurator

    public void jmxConfigurator()

#### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

Specified by:
  `getMetaClass` in interface `groovy.lang.GroovyObject`

#### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

Specified by:
  `setMetaClass` in interface `groovy.lang.GroovyObject`

#### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

Specified by:
  `invokeMethod` in interface `groovy.lang.GroovyObject`

#### getProperty

    public Object getProperty(String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`

#### setProperty

    public void setProperty(String property,
                            Object value)

Specified by:
  `setProperty` in interface `groovy.lang.GroovyObject`

#### getAppenderList

    public List<Appender> getAppenderList()

#### setAppenderList

    public void setAppenderList(List<Appender> value)

#### getDeclaredOrigin

    public Object getDeclaredOrigin()

Description copied from class: `ContextAwareBase`
The declared origin of status messages. By default 'this'. Derived classes may override this method to declare other origin.

Overrides:
  `getDeclaredOrigin` in class `ContextAwareBase`
Returns:
  the declared origin, by default 'this'

#### scan

    public void scan(String scanPeriodStr)

#### statusListener

    public void statusListener(Class listenerClass)

#### conversionRule

    public void conversionRule(String conversionWord,
                               Class converterClass)

#### root

    public void root(Level level,
                     List<String> appenderNames)

#### logger

    public void logger(String name,
                       Level level,
                       List<String> appenderNames,
                       Boolean additivity)

#### appender

    public void appender(String name,
                         Class clazz,
                         groovy.lang.Closure closure)

#### receiver

    public void receiver(String name,
                         Class aClass,
                         groovy.lang.Closure closure)

#### turboFilter

    public void turboFilter(Class clazz,
                            groovy.lang.Closure closure)

#### timestamp

    public String timestamp(String datePattern,
                            long timeReference)

#### jmxConfigurator

    public void jmxConfigurator(String name)